<mat-grid-list cols="29" rowHeight="1:1">
  <mat-grid-tile
      *ngFor="let tile of tiles"
      [style.background]="tile.color">
      <div class="tile-input" *ngIf="tile.editable"><input #box maxlength="1" (keyup)="updateBox(box.value, tile)" placeholder="{{tile.placeholder}}" /></div>
  </mat-grid-tile>
</mat-grid-list>
<!-- <div>
  <table>
    <tr ng-repeat="y in grid">
      <td ng-repeat="x in y track by $index">{{x}}</td>
    </tr>
  </table>
</div> -->
<div style="padding-left: 10px">
    <h1>Clues</h1>
    <div class="row">
        <div class="col-6">
            <h4>Down</h4>
            <p>
                <b>1.</b> Graphical representation of an algorithm.
            </p>
            <p><b>4.</b> Long term _______ is a standard for wireless broadband communication.</p>
            <p><b>5.</b> Test data that is on the edge between valid and invalid data.</p>
            <p><b>7.</b> A network where there is no dedicated server, all nodes are equal.</p>
            <p><b>9.</b> The first person to realize that sunlight could produce an electric current in a solid material in 1839</p>
            <p><b>10.</b> Public and symmetric are types of _____</p>
            <p><b>12.</b> Name of technology whereby a glass fiber carries as much information as hundreds of copper wires</p>
            <p><b>15.</b> A set of rules for how computers should communicate</p>
            <p><b>18.</b> The inventor of the modern knuckle coupler.</p>
            <p><b>19.</b> A collection of computers connected together</p>
            </div>
        <div class="col-6">
            <h4>Across</h4>
            <p><b>2.</b> A datatype used to hold one of two types</p>
            <p><b>3.</b> Protocol for receiving email</p>
            <p><b>6.</b> He is credited as the inventor of the modern system of diesel electric traction co-ordination and control.</p>
            <p><b>8.</b> Loss of electrical resistance can lead to _______</p>
            <p><b>11.</b> Vector quantities always have a _______</p>
            <p><b>13.</b> A type of concentrating solar thermal power systems</p>
            <p><b>14.</b> Distributed ledger, decentralized are terms used in respect to which technology</p>
            <p><b>16.</b> Photovoltaic _______ is greek for light-electricity</p>
            <p><b>17.</b> One program, system or website that successfully masquerades as another by falsifying data and is thereby treated as a trusted system by a user or another program</p>
            <p><b>20.</b> The first full scale locomotive engine was setup in this country</p>
        </div>
    </div>
</div>

<div>
    <div class="split left padding">
        <label>
        Seconds elapsed: {{time}}
        </label>
        <label class="right" [ngClass]="{'error':!ssoEntered}">Please enter SSO: </label>
        <input #sso/>
    </div>
    <div class="split">
        <button mat-raised-button (click)="onSubmit(sso.value)"><b>Submit</b></button>
    </div>
</div>

<button routerLink="">Go back home</button>